This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 505153 - Unable to boot virtual machines
Unable to boot virtual machines
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 16:01 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 14:37:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Virtual machine definition (disk is 10G in size) (1.29 KB, text/plain)
2009-06-10 16:01 EDT, Darryl L. Pierce
no flags Details
Qemu log for the node as it's booting. (490 bytes, text/plain)
2009-06-12 08:26 EDT, Darryl L. Pierce
no flags Details
VM output during the VM boot process (14.27 KB, text/plain)
2009-06-12 08:26 EDT, Darryl L. Pierce
no flags Details
dmesg output for node booted on F10 (19.03 KB, text/plain)
2009-06-19 16:46 EDT, Darryl L. Pierce
no flags Details
Qemu log for the node as it's booting on F10. (392 bytes, text/plain)
2009-06-19 16:47 EDT, Darryl L. Pierce
no flags Details

  None (edit)
Description Darryl L. Pierce 2009-06-10 16:01:46 EDT
Created attachment 347283 [details]
Virtual machine definition (disk is 10G in size)

Description of problem:
If I attempt to boot a virtual machine from an ISO device, it fails during startup when detecting the hard drive.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create VM using the attached VM XML.
2. Start the VM
  
Actual results:
VM stops while detecting the virtual hard disk.

Expected results:
VM should continue booting.

Additional info:
Output during node startup is:

udev: starting version 141
virtio-pci 0000:00:04.0: PCI INT A -> Link[LNKD] -> GSI 11 (level, high) -> IRQ 11
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 10
virtio-pci 0000:00:05.0: PCI INT A -> Link[LNKA] -> GSI 10 (level, high) -> IRQ 10
 vda: unknown partition table
Comment 1 Mark McLoughlin 2009-06-12 03:12:23 EDT
I don't think I follow - /tmp/tmp.776MF64KRg is a bootable ISO ? And you're PXE booting (i.e. <boot dev='network'/>) ?

What version of qemu? The log from /var/log/libvirt/qemu? Full dmesg output from the guest?
Comment 2 Darryl L. Pierce 2009-06-12 08:25:26 EDT
(In reply to comment #1)
> I don't think I follow - /tmp/tmp.776MF64KRg is a bootable ISO ? And you're PXE
> booting (i.e. <boot dev='network'/>) ?

The VM PXE boots from an instance of dnsmasq that's listening on the same network.

> What version of qemu?

(mcpierce@mcpierce-beta:~)$ rpm -q qemu
qemu-0.10.5-1.fc11.x86_64

> The log from /var/log/libvirt/qemu? 

Attaching this to the ticket.

> Full dmesg output from the guest?  

Attaching this to the ticket.
Comment 3 Darryl L. Pierce 2009-06-12 08:26:16 EDT
Created attachment 347542 [details]
Qemu log for the node as it's booting.
Comment 4 Darryl L. Pierce 2009-06-12 08:26:53 EDT
Created attachment 347543 [details]
VM output during the VM boot process
Comment 5 Mark McLoughlin 2009-06-19 06:32:06 EDT
The guest is trying to read the /tmp/tmp.qg8vA7sP7H disk image and not finding a partition table. Is this a valid disk image?
Comment 6 Darryl L. Pierce 2009-06-19 08:59:39 EDT
The disk image is valid: it's a freshly created image so won't have a partition table on it. The same setup works on F10.
Comment 7 Mark McLoughlin 2009-06-19 09:53:49 EDT
Goodness, you could have explained the background here a bit better.

I only realize now that this is a ovirt PXE boot image - i.e. an ISO embedded in an initramfs which the kernel mounts. You're not trying to boot from the virtio disk at all.

So it works with F-10 qemu-kvm? Could you attach the dmesg of the guest booting on an F-10 host? Also, could you point me to the vmlinuz/initrd0.img you're using?
Comment 8 Darryl L. Pierce 2009-06-19 16:46:30 EDT
Created attachment 348711 [details]
dmesg output for node booted on F10
Comment 9 Darryl L. Pierce 2009-06-19 16:47:00 EDT
Created attachment 348712 [details]
Qemu log for the node as it's booting on F10.
Comment 10 Darryl L. Pierce 2009-06-19 16:47:26 EDT
(In reply to comment #7)
> Goodness, you could have explained the background here a bit better.
> 
> I only realize now that this is a ovirt PXE boot image - i.e. an ISO embedded
> in an initramfs which the kernel mounts. You're not trying to boot from the
> virtio disk at all.
> 
> So it works with F-10 qemu-kvm? Could you attach the dmesg of the guest booting
> on an F-10 host? Also, could you point me to the vmlinuz/initrd0.img you're
> using?  

Done. Please see the new attachments.
Comment 11 Mark McLoughlin 2009-06-22 07:20:50 EDT
But these are the same guest images - it could easily be a guest issue, not a host issue ... please confirm the F-11 guest works on F-10 host, but not on F-11 host.

Also, please make the images available somewhere and I'll try and reproduce.
Comment 12 Darryl L. Pierce 2009-06-22 09:21:49 EDT
(In reply to comment #11)
> But these are the same guest images - it could easily be a guest issue, not a
> host issue ... please confirm the F-11 guest works on F-10 host, but not on
> F-11 host.
> 
> Also, please make the images available somewhere and I'll try and reproduce.  

I've done that in past:

An image that was built on an F11 box fails to run on F11 and on F10.
An image that was built on an F10 box will *only* run on F11 if the disk type is set to be a virtio device; i.e., if I set it to be IDE it fails.

An F11 image, however, *will* run on real hardware. So the problem is only with the F11 virtualization software.
Comment 13 Mark McLoughlin 2009-06-22 10:26:51 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > But these are the same guest images - it could easily be a guest issue, not a
> > host issue ... please confirm the F-11 guest works on F-10 host, but not on
> > F-11 host.
> > 
> > Also, please make the images available somewhere and I'll try and reproduce.  
> 
> I've done that in past:
> 
> An image that was built on an F11 box fails to run on F11 and on F10.

That suggests a problem in the guest; if it looks like a virtio specific issue, I'm happy to help figure out what the problem is. Please point me at some F-11 built images.

> An image that was built on an F10 box will *only* run on F11 if the disk type
> is set to be a virtio device; i.e., if I set it to be IDE it fails.

That suggests a difference between F-10 and F-11 IDE emulation; please point us at F-10 built images and we'll see if we can figure out what the difference is.

i.e. it looks like it might be two separate bugs now, and we're no closer to having any clue as to the cause of either
Comment 14 Mark McLoughlin 2009-11-20 14:37:50 EST
No response to needinfo since 2009-06-22, closing

Note You need to log in before you can comment on or make changes to this bug.